Bug 253957 - net-im/purple-slack: Update to f851698
Summary: net-im/purple-slack: Update to f851698
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nathan Whitehorn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-02 15:07 UTC by Nathan Whitehorn
Modified: 2021-03-10 02:00 UTC (History)
2 users (show)

See Also:


Attachments
Patch to update port (1.20 KB, patch)
2021-03-02 15:07 UTC, Nathan Whitehorn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Whitehorn freebsd_committer 2021-03-02 15:07:18 UTC
Created attachment 222918 [details]
Patch to update port

Update the libpurple Slack module to a more recent version, which chases the recent deprecation of older Slack APIs used, for example, to fetch room members in multi-user chats.

I have a src commit bit, so only need approval to make the update.
Comment 1 Neel Chauhan freebsd_committer 2021-03-02 22:21:14 UTC
I think this looks good, feel free to commit.
Comment 2 Fernando Apesteguía freebsd_committer 2021-03-03 07:10:57 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: [tags] in issue Titles are deprecated.

^Triage: Simplifying title

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: I think you meant net-im/purple-slack not net-im/libpurple-slack :-)


Thanks!
Comment 3 Fernando Apesteguía freebsd_committer 2021-03-03 07:13:57 UTC
Q/A: MAKE_ARGS should go right after the USES block.

Thanks!
Comment 4 commit-hook freebsd_committer 2021-03-10 01:47:03 UTC
A commit references this bug:

Author: nwhitehorn
Date: Wed Mar 10 01:46:44 UTC 2021
New revision: 567970
URL: https://svnweb.freebsd.org/changeset/ports/567970

Log:
  Update the libpurple Slack module to a more recent version, which chases the recent deprecation of older Slack APIs used, for example, to fetch room members in multi-user chats.

  PR:		ports/253957
  Approved by:	nc

Changes:
  head/net-im/purple-slack/Makefile
  head/net-im/purple-slack/distinfo
Comment 5 Nathan Whitehorn freebsd_committer 2021-03-10 02:00:02 UTC
Thanks!